Bug 1140280 (CVE-2014-6268) - CVE-2014-6268 kernel: xen: Mishandling of uninitialised FIFO-based event channel control blocks (xsa107)
Summary: CVE-2014-6268 kernel: xen: Mishandling of uninitialised FIFO-based event chan...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-6268
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1140287
Blocks: 1140259
TreeView+ depends on / blocked
 
Reported: 2014-09-10 15:50 UTC by Petr Matousek
Modified: 2019-09-29 13:21 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 15:53:23 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-09-10 15:50:53 UTC
When using the FIFO-based event channels, there are no checks for the
existence of a control block when binding an event or moving it to a
different VCPU. As a result, a buggy or malicious guest can crash the
host.

References:

http://xenbits.xen.org/xsa/advisory-107.html
http://www.openwall.com/lists/oss-security/2014/09/09/22

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue. Xen acknowledges
Vitaly Kuznetsov from Red Hat as the original reporter of this issue and David
Vrabel of Citrix as the one who diagnosed this issue as having security
repercussions.

Comment 3 Petr Matousek 2014-09-10 15:53:23 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Petr Matousek 2014-09-10 15:53:54 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1140287]


Note You need to log in before you can comment on or make changes to this bug.